LibreOffice: Canvas Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
Canvas Service Reference

Service providing an XCanvas interface. More...

Inheritance diagram for Canvas:

## Additional Inherited Members
Public Member Functions inherited from XCanvas
void | clear ()
| Clear the whole canvas area.
void | drawPoint ([in] ::com::sun::star::geometry::RealPoint2D aPoint, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException)
| Draw a point in device resolution on the device.
void | drawLine ([in] ::com::sun::star::geometry::RealPoint2D aStartPoint, [in] ::com::sun::star::geometry::RealPoint2D aEndPoint, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException)
| Draw a line in device resolution width (i.e.
void | drawBezier ([in] ::com::sun::star::geometry::RealBezierSegment2D aBezierSegment, [in] ::com::sun::star::geometry::RealPoint2D aEndPoint, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException)
| Draw a cubic Bezier curve in device resolution width (i.e.
XCachedPrimitive | drawPolyPolygon ([in] XPolyPolygon2D xPolyPolygon, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException)
| Draw a poly-polygon in device resolution line width (i.e.
XCachedPrimitive | strokePolyPolygon ([in] XPolyPolygon2D xPolyPolygon, [in] ViewState aViewState, [in] RenderState aRenderState, [in] StrokeAttributes aStrokeAttributes) raises (com::sun::star::lang::IllegalArgumentException)
| Stroke each polygon of the provided poly-polygon with the specified stroke attributes.
XCachedPrimitive | strokeTexturedPolyPolygon ([in] XPolyPolygon2D xPolyPolygon, [in] ViewState aViewState, [in] RenderState aRenderState, [in] sequence< Texture > aTextures, [in] StrokeAttributes aStrokeAttributes) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Stroke each polygon of the provided poly-polygon with the specified stroke attributes, fill the stroked outline with the specified texture graphics.
XCachedPrimitive | strokeTextureMappedPolyPolygon ([in] XPolyPolygon2D xPolyPolygon, [in] ViewState aViewState, [in] RenderState aRenderState, [in] sequence< Texture > aTextures, [in] ::com::sun::star::geometry::XMapping2D xMapping, [in] StrokeAttributes aStrokeAttributes) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Stroke each polygon of the provided poly-polygon with the specified stroke attributes, fill the stroked outline with the specified texture graphics, map the texture to the outline via the specified texture mapping.
XPolyPolygon2D | queryStrokeShapes ([in] XPolyPolygon2D xPolyPolygon, [in] ViewState aViewState, [in] RenderState aRenderState, [in] StrokeAttributes aStrokeAttributes) raises (com::sun::star::lang::IllegalArgumentException)
| Query the polygonal representation of the stroke outlines, as it would be generated by the strokePolyPolygon methods.
XCachedPrimitive | fillPolyPolygon ([in] XPolyPolygon2D xPolyPolygon, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException)
| Fill the given poly-polygon.
XCachedPrimitive | fillTexturedPolyPolygon ([in] XPolyPolygon2D xPolyPolygon, [in] ViewState aViewState, [in] RenderState aRenderState, [in] sequence< Texture > xTextures) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Fill the given poly-polygon with a texture.
XCachedPrimitive | fillTextureMappedPolyPolygon ([in] XPolyPolygon2D xPolyPolygon, [in] ViewState aViewState, [in] RenderState aRenderState, [in] sequence< Texture > xTextures, [in] ::com::sun::star::geometry::XMapping2D xMapping) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Fill the given poly-polygon with a mapped texture.
XCanvasFont | createFont ([in] FontRequest aFontRequest, [in] sequence< ::com::sun::star::beans::PropertyValue > aExtraFontProperties, [in] ::com::sun::star::geometry::Matrix2D aFontMatrix) raises (com::sun::star::lang::IllegalArgumentException)
| Create a suitable font for the specified font description.
sequence< FontInfo > | queryAvailableFonts ([in] FontInfo aFilter, [in] sequence< ::com::sun::star::beans::PropertyValue > aFontProperties) raises (com::sun::star::lang::IllegalArgumentException)
| Query font information, specific to this canvas.
XCachedPrimitive | drawText ([in] StringContext aText, [in] XCanvasFont xFont, [in] ViewState aViewState, [in] RenderState aRenderState, [in] byte nTextDirection) raises (com::sun::star::lang::IllegalArgumentException)
| Draw the text given by the substring of the specified string with the given font.
XCachedPrimitive | drawTextLayout ([in] XTextLayout xLayoutetText, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException)
| Draw the formatted text given by the text layout.
XCachedPrimitive | drawBitmap ([in] XBitmap xBitmap, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Render the given bitmap.
XCachedPrimitive | drawBitmapModulated ([in] XBitmap xBitmap, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Render the given bitmap, with a global color modulation.
XGraphicDevice | getDevice ()
| Request the associated graphic device for this canvas.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Service providing an XCanvas interface.

The documentation for this service was generated from the following file:

- com/sun/star/rendering/Canvas.idl